- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway_volume_info – Gather information about the Scaleway volumes available

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather information about the Scaleway volumes available.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
region - / required | Choices: ams1 EMEA-NL-EVS par1 EMEA-FR-PAR1 | Scaleway region to use (for example `par1`).
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Gather Scaleway volumes information
      scaleway_volume_info:
        region: par1
      register: result

    - debug:
        msg: "{{ result.scaleway_volume_info }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
scaleway_volume_info complex | success | Response from Scaleway API Sample: {'scaleway_volume_info': [{'creation_date': '2018-08-14T20:56:24.949660+00:00', 'export_uri': None, 'id': 'b8d51a06-daeb-4fef-9539-a8aea016c1ba', 'modification_date': '2018-08-14T20:56:24.949660+00:00', 'name': 'test-volume', 'organization': '3f709602-5e6c-4619-b80c-e841c89734af', 'server': None, 'size': 50000000000, 'state': 'available', 'volume_type': 'l_ssd'}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Yanis Guenane (@Spredzy)

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.